Webhooks

GET /public/v1/webhooks/{id}

Get one webhook by id: destination URL, triggers, scope, payload opt-ins, and whether it is active.

GET /public/v1/webhooks/{id}

GET /public/v1/webhooks/{id}

curl --request GET \
  --url 'https://api.joinvalley.co/public/v1/webhooks/{ID}' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "statusCode": 1,
  "status": true,
  "message": "<string>",
  "data": {
    "webhook": {
      "id": "<string>",
      "label": null,
      "scope": "PERSONAL",
      "webhookUrl": "<string>",
      "triggerTypes": [
        "<string>"
      ],
      "payloadFields": null,
      "isActive": true,
      "createdByUserId": "<string>",
      "workspaceId": null,
      "createdAt": "<string>",
      "lastUsedAt": null
    }
  }
}

Default Response

Authorizations

  • x-api-key string required header

    Your Valley API key.

Path Parameters

  • id string required

Response

application/json
  • statusCode number
  • status boolean
  • message string
  • data object
    + Show Child Attributes
    • webhook object
      + Show Child Attributes
      • id string
      • label null | string
      • scope string enum enum

        Allowed values: PERSONAL, WORKSPACE.

      • webhookUrl string
      • triggerTypes[] string array
      • payloadFields null | object
        + Show Child Attributes
        • [key: string] any additional

          Additional arbitrary properties are allowed.

      • isActive boolean

        false = paused; nothing is delivered until re-enabled.

      • createdByUserId string
      • workspaceId null | string
      • createdAt string
      • lastUsedAt null | string